Listar produtos
curl --request GET \
--url https://api-sandbox.fortalpay.tech/v1/products \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sandbox.fortalpay.tech/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api-sandbox.fortalpay.tech/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api-sandbox.fortalpay.tech/v1/products"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.fortalpay.tech/v1/products",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}HttpResponse<String> response = Unirest.get("https://api-sandbox.fortalpay.tech/v1/products")
.header("Authorization", "<api-key>")
.asString();package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.fortalpay.tech/v1/products"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}using RestSharp;
var options = new RestClientOptions("https://api-sandbox.fortalpay.tech/v1/products");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"data": {
"page": 123,
"size": 123,
"numberOfElements": 123,
"totalElements": 123,
"totalPages": 123,
"content": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Camiseta FortalPay",
"price": 79.9,
"status": "ACTIVE",
"createdAt": "2026-08-02T10:30:00-03:00",
"updatedAt": "2026-08-02T10:30:00-03:00",
"externalId": "sku-camiseta-001",
"description": "Camiseta de algodão, tamanho M"
}
]
},
"success": true,
"error": null
}{
"data": null,
"success": false,
"error": {
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"path": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}{
"data": null,
"success": false,
"error": {
"timestamp": "2023-11-07T05:31:56Z",
"status": 123,
"message": "<string>",
"path": "<string>",
"fields": [
{
"field": "<string>",
"message": "<string>"
}
]
}
}Listar produtos
Liste os produtos não removidos pertencentes ao lojista associado à API key.
GET
/
products
Listar produtos
Authorizations
Todas as requisições devem incluir sua API key no cabeçalho Authorization
usando o formato ApiKey <sua_api_key>. Não use o esquema Bearer.
Sem esse cabeçalho, a requisição será rejeitada.
Use fpay_sk_test_... no ambiente de teste e fpay_sk_live_... em produção.
Saiba como criar e usar uma API key.
Query Parameters
Índice da página, começando em zero.
Required range:
x >= 0Quantidade de registros solicitada por página.
Required range:
x >= 1Expressão de ordenação do Spring Data. Cada serviço aplica a ordenação fixa documentada.